"Push module to official porteus-2.x repository"

Post links to your 64bit module repos here. Repo maintainers are responsible for resolving any issues caused by their xzm's.
User avatar
francois
Contributor
Contributor
Posts: 4902
Joined: 28 Dec 2010, 14:25
Distribution: kde xfce porteus manjaro kubun
Location: Enfin l'été, le changement climatique attendu: le soleil.

Re: "Push module to official porteus-2.x repository"

Post#16 by francois » 04 May 2013, 03:19

Code: Select all

Module Name:  foomatic-db-engine-4.0.8-x86_64-1fl.xzm
Module Location:  http://www.mediafire.com/?h7d34r9f8u74iul
Module Category: hardware
Module Non-Binary Dependencies (if any): 
Voltaire: Le mieux est l'ennemi du bien.

User avatar
fanthom
Site Admin
Site Admin
Posts: 4547
Joined: 28 Dec 2010, 02:42
Distribution: Porteus Kiosk
Location: Poland, currently - Cork, IE
Contact:

Re: "Push module to official porteus-2.x repository"

Post#17 by fanthom » 04 May 2013, 10:33

@francois

pushed all 3 modules to the repo but renamed '4.0-20130414' to '4.0.20130414' as dash is not allowed in package version.
proper slackware format is:
$name1-name2-name3-$version-$arch-$build
multiple dashes are allowed in '$name' part only (in other parts you need to use dots, underscores, etc)

thanks for your effort.
Please add [Solved] to your thread title if the solution was found.

User avatar
francois
Contributor
Contributor
Posts: 4902
Joined: 28 Dec 2010, 14:25
Distribution: kde xfce porteus manjaro kubun
Location: Enfin l'été, le changement climatique attendu: le soleil.

Re: "Push module to official porteus-2.x repository"

Post#18 by francois » 07 May 2013, 01:39

Thanks a lot! :)
Voltaire: Le mieux est l'ennemi du bien.

KnallKopf
Samurai
Samurai
Posts: 134
Joined: 18 Sep 2012, 20:56
Distribution: Porteus 64bit KDE4
Location: Absurdistan

Re: "Push module to official porteus-2.x repository"

Post#19 by KnallKopf » 12 Jun 2013, 17:39

@ fanthom can you add the KiCad packages to the official Porteus repository.
but there some problemes and question.

This is a EDA-Software to draw electronic circuits.
screenshot

Module Name: KiCad-2013.05.18_BZR4017.stable-x86_64-1KnKo.xzm
Module Location: http://www.mediafire.com/download/5al1v ... -1KnKo.xzm
Module Category: development
Module Non-Binary Dependencies (if any): no



It needs:
Module Name: wxWidgets-2.8.12-x86_64-4KnKo.xzm
Module Location: http://www.mediafire.com/download/kmkki ... -4KnKo.xzm
Module Category: libraries
Module Non-Binary Dependencies (if any): no


KiCad does not work with 2.9.4. but you say:
"- please make sure that your module is not present in Porteus official repository already, or is present but with lower version"

this files are double:
/usr/bin/wx-config (link to gtk2-unicode-2.9 or gtk2-unicode-release-2.8)
/usr/bin/wxrc (link to version 2.8 or 2.9)
/usr/share/aclocal/wxwin.m4
/usr/share/bakefile/presets/wx.bkl
/usr/share/bakefile/presets/wx_unix.bkl
/usr/share/bakefile/presets/wx_win32.bkl

A.) What should i do ?
1. Nothing.
2. Add the 2.8 libs in the KiCad package and cancel the wxWidgets-2.8.
But i think KiCad will not the only Package that need wxWidgets-2.8.
(it is current stable release of wxWidgets)
3. delete the double files in wxWidgets-2.8.
But when everyone try to build software with wxWidgets-2.8 then it give a error.


A lot of data (ca. 215MB) for KiCad (circuit-symbols, demo-circuits, etc) that are not in the source.
I packed in the package KiCadComponents.
Module Name: KiCadComponents-2013.05.18_BZR4017.stable-all-1KnKo.xzm
Module Location: http://rapidshare.com/files/3017720265/ ... -1KnKo.xzm
Module Category: development
Module Non-Binary Dependencies (if any): python


B.) KiCadComponents should be platform independent and the "ARCH" is here "all" is this correct ?


C.) Geneneral question: If the software-name with an "-" should i replace it in pkg-name with "_",
or leave. Example json-c to json_c.



here the complette build-scripts

User avatar
fanthom
Site Admin
Site Admin
Posts: 4547
Joined: 28 Dec 2010, 02:42
Distribution: Porteus Kiosk
Location: Poland, currently - Cork, IE
Contact:

Re: "Push module to official porteus-2.x repository"

Post#20 by fanthom » 15 Jun 2013, 21:09

i think the best way would be to treat 2.9.4 as default (most apps are compiled against this version) and strip 2.8.12 from conflicting files. please upload this module again without mentioned files and rename KiCadComponents as 'noarch'.

thanks.
Please add [Solved] to your thread title if the solution was found.

KnallKopf
Samurai
Samurai
Posts: 134
Joined: 18 Sep 2012, 20:56
Distribution: Porteus 64bit KDE4
Location: Absurdistan

Re: "Push module to official porteus-2.x repository"

Post#21 by KnallKopf » 16 Jun 2013, 18:58

Module Name: wxWidgets-2.8.12-x86_64-5KnKo.xzm
Module Location: http://www.mediafire.com/download/m0gg9 ... -5KnKo.xzm
Module Category: libraries
Module Non-Binary Dependencies (if any): no




Module Name: KiCad-2013.05.18_BZR4017.stable-x86_64-2KnKo.xzm
Module Location: http://www.mediafire.com/download/tjhjt ... -2KnKo.xzm
Module Category: development
Module Non-Binary Dependencies (if any): no




Module Name: KiCadComponents-2013.05.18_BZR4017.stable-noarch-2KnKo.xzm
Module Location: http://rapidshare.com/files/2529482394/ ... -2KnKo.xzm
Module Category: development
Module Non-Binary Dependencies (if any): python




buildscripts

User avatar
fanthom
Site Admin
Site Admin
Posts: 4547
Joined: 28 Dec 2010, 02:42
Distribution: Porteus Kiosk
Location: Poland, currently - Cork, IE
Contact:

Re: "Push module to official porteus-2.x repository"

Post#22 by fanthom » 17 Jun 2013, 15:09

@KnallKopf,

i have noticed that KiCadCmponents has over 120MB of data in /usr/doc folder.
do you think it's ok to delete theses? it would make the final module about 33% smaller.
Please add [Solved] to your thread title if the solution was found.

KnallKopf
Samurai
Samurai
Posts: 134
Joined: 18 Sep 2012, 20:56
Distribution: Porteus 64bit KDE4
Location: Absurdistan

Re: "Push module to official porteus-2.x repository"

Post#23 by KnallKopf » 21 Jun 2013, 09:14

Sorry I am lot of time offline.

Yes it is a good idea.

KnallKopf
Samurai
Samurai
Posts: 134
Joined: 18 Sep 2012, 20:56
Distribution: Porteus 64bit KDE4
Location: Absurdistan

Re: "Push module to official porteus-2.x repository"

Post#24 by KnallKopf » 28 Jun 2013, 00:19

I have see you have added KiCad and i have test it in ppm.
I did not know that wxGTK have the same libs and the wx-config script, how wxWidgets.

Is wxWidgets unnecessary ?

Why I can not choice wxWidgets, when the ppm ask me to select a package,
because it have wxGTK and wxWidgets with the same libs.

KnallKopf
Samurai
Samurai
Posts: 134
Joined: 18 Sep 2012, 20:56
Distribution: Porteus 64bit KDE4
Location: Absurdistan

Re: "Push module to official porteus-2.x repository"

Post#25 by KnallKopf » 28 Jun 2013, 01:02

mono, monodevelop and missed depends

Code: Select all

Module Name:	libgdiplus-2.10.9-x86_64-1KnKo.xzm
Module Location: http://www.mediafire.com/download/9878qm4vhy4ruke/libgdiplus-2.10.9-x86_64-1KnKo.xzm
Module Category: libraries
Module Non-Binary Dependencies (if any):

Code: Select all

Module Name:	mono-3.0.12-x86_64-2KnKo.xzm
Module Location: http://www.mediafire.com/download/d3m22z44d6zn9qr/mono-3.0.12-x86_64-2KnKo.xzm
Module Category: system
Module Non-Binary Dependencies (if any):

Code: Select all

Module Name:	gtk-sharp-2.12.21-x86_64-1KnKo.xzm
Module Location: http://www.mediafire.com/download/k8qhedv3hq5qd7d/gtk-sharp-2.12.21-x86_64-1KnKo.xzm
Module Category: libraries
Module Non-Binary Dependencies (if any):

Code: Select all

Module Name:	libcanberra-0.30-x86_64-1KnKo.xzm
Module Location: http://www.mediafire.com/download/jedq06z6c3e3cdf/libcanberra-0.30-x86_64-1KnKo.xzm
Module Category: libraries
Module Non-Binary Dependencies (if any):

Code: Select all

Module Name:	gnome-sharp-2.24-x86_64-1KnKo.xzm
Module Location: http://www.mediafire.com/download/3c18e39ioddgxuo/gnome-sharp-2.24-x86_64-1KnKo.xzm
Module Category: libraries
Module Non-Binary Dependencies (if any):

Code: Select all

Module Name:	monodevelop-4.0.9-x86_64-1KnKo.xzm
Module Location: http://www.mediafire.com/download/k0j2v5vez9m4zhb/monodevelop-4.0.9-x86_64-1KnKo.xzm
Module Category: development
Module Non-Binary Dependencies (if any): mono
and all the buildscripts

KnallKopf
Samurai
Samurai
Posts: 134
Joined: 18 Sep 2012, 20:56
Distribution: Porteus 64bit KDE4
Location: Absurdistan

Re: "Push module to official porteus-2.x repository"

Post#26 by KnallKopf » 28 Jun 2013, 18:33

Attention
command step back

there is a error in monodevelop I have fix it,
but I do not know how.

here a small suggestion:
I add my modules by your rules to the normal module thread.

and write this:

please add this module to the repository

Code: Select all

Module Name:	name-version-arch-build_number.xzm
Module Location: valid url where module was uploaded
Module Category: office
Module Non-Binary Dependencies (if any): PyQt,dbus-python,dnspython,pil,python,python-cssutils,blah,blub
Then you should wait a month.
If there no error surfaced, then you can add it to the repository.

User avatar
fanthom
Site Admin
Site Admin
Posts: 4547
Joined: 28 Dec 2010, 02:42
Distribution: Porteus Kiosk
Location: Poland, currently - Cork, IE
Contact:

Re: "Push module to official porteus-2.x repository"

Post#27 by fanthom » 29 Jun 2013, 00:50

here a small suggestion:
I add my modules by your rules to the normal module thread.

and write this:

please add this module to the repository
it's easier for me to track one thread so i would rather stick to the current process. i have no objections for posting modules in modules section for bit of testing. if users wont complain then post them here.
Please add [Solved] to your thread title if the solution was found.

User avatar
francois
Contributor
Contributor
Posts: 4902
Joined: 28 Dec 2010, 14:25
Distribution: kde xfce porteus manjaro kubun
Location: Enfin l'été, le changement climatique attendu: le soleil.

Re: "Push module to official porteus-2.x repository"

Post#28 by francois » 14 Dec 2013, 23:12

@fanthom:
Is there some veto to hold back this thread until we get into porteus version 3.0?
Voltaire: Le mieux est l'ennemi du bien.

User avatar
fanthom
Site Admin
Site Admin
Posts: 4547
Joined: 28 Dec 2010, 02:42
Distribution: Porteus Kiosk
Location: Poland, currently - Cork, IE
Contact:

Re: "Push module to official porteus-2.x repository"

Post#29 by fanthom » 15 Dec 2013, 11:08

@francois
no - there is not. 2.x is still officially supported so if you have some modules to be added to the repo then please post them here.
Please add [Solved] to your thread title if the solution was found.

KnallKopf
Samurai
Samurai
Posts: 134
Joined: 18 Sep 2012, 20:56
Distribution: Porteus 64bit KDE4
Location: Absurdistan

Re: "Push module to official porteus-2.x repository"

Post#30 by KnallKopf » 01 Feb 2014, 23:04

here some modules needed by GnuRadio:

Code: Select all

Module Name:   mcpp-2.7.2-x86_64-2KnKo.xzm
Module Location: http://www.mediafire.com/download/18lkt49ptpbosgj/mcpp-2.7.2-x86_64-2KnKo.xzm
Module Category: development
Module Non-Binary Dependencies (if any):
sha256: 78ee1de0ffecca09ec26aac74828c42d079a3911b992e44c90c822de20ca59d3

Code: Select all

Module Name:   comedilib-0.10.1-x86_64-2KnKo.xzm
Module Location: http://www.mediafire.com/download/3dszve6zqvbrf12/comedilib-0.10.1-x86_64-2KnKo.xzm
Module Category: libraries
Module Non-Binary Dependencies (if any): python-2.7.3-x86_64-2
sha256: 5a29271ad5ccfdd5b708e29f3f54823f3f55c7139045b0e8cacfa5f5cc116695

Code: Select all

Module Name:   cppunit-1.12.1-x86_64-1KnKo.xzm
Module Location: http://www.mediafire.com/download/43b4x4m5o1bu6r1/cppunit-1.12.1-x86_64-2KnKo.xzm
Module Category: libraries
Module Non-Binary Dependencies (if any):
sha256: a8ca7a2d7829fe8405fd261b517926a02f2b2d51cec93b753c01bd9402419cf3

Code: Select all

Module Name:   fftw-3.3.3-x86_64-1KnKo.xzm
Module Location: http://www.mediafire.com/download/kyya7fg65udf5k7/fftw-3.3.3-x86_64-2KnKo.xzm
Module Category: libraries
Module Non-Binary Dependencies (if any):
sha256: c2c70268e8851d276531370c03c5c7863cbb453a0e6a2498123a6327c7b33caa

Code: Select all

Module Name:   qwt-6.0.2-x86_64-2KnKo.xzm
Module Location: http://www.mediafire.com/download/b7lgm7775xxavuw/qwt-6.0.2-x86_64-2KnKo.xzm
Module Category: libraries
Module Non-Binary Dependencies (if any):
sha256: 49a1a1a25bba74685ab9ea34f25c25c91a69b35e06aaa24faa634add527ae5f2


And here a question:
what is the best name for python only modules ?

For Ex.: Source Name is Sphinx-VERSION.tar.gz
A: Sphinx-VERSION-ARCH.xzm
B: python-sphinx-VERSION-ARCH.xzm
C: PySphinx-VERSION-ARCH.xzm
D: other

Locked